import {
  DurationByEpochDto,
  DurationByEpochUnboxedDto
} from "@upload-io/upload-shared-iso/statistics/storage/dtos/shared/DurationByEpochDto";

export interface DailyMonthlyDurationsDto {
  byDay: DurationByEpochDto;
  byMonth: DurationByEpochDto;
}

export interface DailyMonthlyDurationsUnboxedDto {
  byDay: DurationByEpochUnboxedDto;
  byMonth: DurationByEpochUnboxedDto;
}

export namespace DailyMonthlyDurationsDto {
  export const empty: DailyMonthlyDurationsDto = {
    byDay: {},
    byMonth: {}
  };
  export function combine(left: DailyMonthlyDurationsDto, right: DailyMonthlyDurationsDto): DailyMonthlyDurationsDto {
    return {
      byDay: DurationByEpochDto.combine(left.byDay, right.byDay),
      byMonth: DurationByEpochDto.combine(left.byMonth, right.byMonth)
    };
  }
}
