import {
  UploadsByEpochDto,
  UploadsByEpochUnboxedDto
} from "@upload-io/upload-shared-iso/statistics/storage/dtos/shared/UploadsByEpochDto";

export interface DailyMonthlyUploadsDto {
  byDay: UploadsByEpochDto;
  byMonth: UploadsByEpochDto;
}

export interface DailyMonthlyUploadsUnboxedDto {
  byDay: UploadsByEpochUnboxedDto;
  byMonth: UploadsByEpochUnboxedDto;
}

export namespace DailyMonthlyUploadsDto {
  export const empty: DailyMonthlyUploadsDto = {
    byDay: {},
    byMonth: {}
  };
  export function combine(left: DailyMonthlyUploadsDto, right: DailyMonthlyUploadsDto): DailyMonthlyUploadsDto {
    return {
      byDay: UploadsByEpochDto.combine(left.byDay, right.byDay),
      byMonth: UploadsByEpochDto.combine(left.byMonth, right.byMonth)
    };
  }
}
