import { NonEmptyArray } from "@upload-io/upload-shared-iso";
import { MimeScope, TagScope, TransformationUrlSlug } from "@upload-io/upload-shared-iso/common/model/Primitives";

export interface TransformationPath {
  scope: {
    mime: NonEmptyArray<MimeScope>;
    tag: NonEmptyArray<TagScope>;
  };
  slug: TransformationUrlSlug;
}
